Free AoM on Voobly from oppression

0 have signed. Let’s get to 100!


AoM on Voobly wants an option to play the game rated on a patch that is not riddled with glitches (ESO unpatched) or riddled with wholesale changes that are too copious to keep up to date with and too subjective and too bastardised that it detracts from the game being as equitable and optimal as it could be.

If you want a Lite Patch which like Patch 1.01 only addresses glitches that the developers left in the game and makes only minor changes to glaring map generation issues as well as the three most glaring balancing issues (bolt affecting villagers and starting ulfsark, shifting sands affecting villagers and starting ulfsark being unable to stand ground), then with me, please, let us become brothers in arms.

Also, none of those new maps, unless it's on another map set that you have the option to choose from.

 

Edit: This is a petition to have two patches running concurrently, not to replace Patch 2.0 and whatever future rolling patches are created. The petition is to have a more viable option to play the game closer to it's purest form!



Today: Proudy is counting on you

Proudy Proudfoot needs your help with “Chrono JJ and co.: Free AoM on Voobly from oppression”. Join Proudy and 54 supporters today.